# Class polymer

- Defined in File model.hpp

## Inheritance Relationships

### Base Type

- `public std::vector< monomer >`

## Class Documentation

class polymer : public std::vector<monomer>

  A polymer is simply a list of monomers.

  Public Functions

  polymer(structure &s, const std::string &entityID, const std::string &asymID, const std::string &auth_asym_id)

    Constructor.

  polymer(const polymer&) = delete
  polymer &operator=(const polymer&) = delete
  inline structure *get_structure() const

    Return the structure.

  inline std::string get_asym_id() const

    Return the asym_id.

  inline std::string get_pdb_strand_id() const

    Return the PDB chain ID, actually.

  inline std::string get_entity_id() const

    Return the entity_id.